﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FollowObjectInstantly : MonoBehaviour
{
    public GameObject target;
    private float limitX1, limitX2, limitY1, limitY2;
    public Transform limit1, limit2, limit3, limit4, limit5, limit6;

    //private Vector3 initialDistance;

    private void Awake()
    {
        //initialDistance = transform.position - target.transform.position;
        float cameraY = Camera.main.orthographicSize;
        float cameraX = cameraY * 16 / 9;
        limitX1 = limit1.position.x + cameraX;
        limitX2 = limit2.position.x - cameraX;
        limitY1 = limit1.position.y + cameraY;
        limitY2 = limit2.position.y - cameraY;
    }

    void LateUpdate()
    {
        Vector3 newPosition = transform.position;
        newPosition.x = target.transform.position.x;
        newPosition.y = target.transform.position.y;
        if (newPosition.x < 30)
        {
            if (newPosition.x < limitX1)
            {
                newPosition.x = limitX1;
            }
            else if (newPosition.x > limitX2)
            {
                newPosition.x = limitX2;
            }
            if (newPosition.y < limitY1)
            {
                newPosition.y = limitY1;
            }
            else if (newPosition.y > limitY2)
            {
                newPosition.y = limitY2;
            }
        }        

        transform.position = newPosition;

    }
}
