﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DestroyOnTouch : MonoBehaviour
{
    [SerializeField] LayerMask layerMask;

    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (!collision.gameObject.IsInLayerMask(layerMask)) return;
        Destroy(collision.gameObject);
    }
}
