﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DepthSortByY : MonoBehaviour
{
    private const int IsometricRangePerYUnit = 100;

    new Renderer renderer;

    private void Awake()
    {
        renderer = GetComponent<Renderer>();
    }

    void Update()
    {
        renderer.sortingOrder = -(int)(transform.position.y * IsometricRangePerYUnit);
    }
}
