﻿
using System;
using UnityEngine;

public class EventOnTriggerEnter : MonoBehaviour
{
    public event Action OnTriggerEnter;

    [SerializeField] LayerMask layerMask;

    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (!collision.gameObject.IsInLayerMask(layerMask)) return;
        OnTriggerEnter.SafeInvoke();
    }
}
