﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Fade : MonoBehaviour
{
    public Image img;    

    public void FadeStart()
    {
        StartCoroutine(FadeImage());
    }

    IEnumerator FadeImage()
    {
        for (float i = 0.9f; i >= 0; i -= Time.deltaTime*1.7f)
        {
            // set color with i as alpha
            img.color = new Color(0, 0, 0, i);
            yield return null;
        }        
    }

    private new void Awake()
    {        
        instance = this;
    }

    public static Fade instance
    {
        get; private set;
    }
}
